## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 22
%bcond_without check

%global crate tealdeer

Name:           rust-tealdeer
Version:        1.5.0
Release:        %autorelease
Summary:        Fetch and show tldr help pages for many CLI commands

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/tealdeer
Source0:        %{crates_source}
Source1:        LICENSE.dependencies
# Manually created patch for downstream crate metadata changes
# * keep using app_dirs instead of app_dirs2 fork
# * relax clap dependency from "=3.0.0-rc.11" to "3"
# * use native-tls instead of rustls in reqwest
Patch:          tealdeer-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Fetch and show tldr help pages for many CLI commands. Full featured offline
client with caching support.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (ASL 2.0 or MIT) and BSD
# 0BSD or MIT or ASL 2.0
# ASL 2.0
# ASL 2.0 or Boost
# ASL 2.0 or MIT
# MIT
# MIT or ASL 2.0
# MIT or ASL 2.0 or zlib
# MIT or zlib or ASL 2.0
# Unlicense or MIT
# zlib or ASL 2.0 or MIT
License:        ASL 2.0 and BSD and MIT
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-APACHE
%license LICENSE-MIT
%license LICENSE.dependencies
%doc README.md
%{_bindir}/tldr
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/tldr.bash
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_completions.d
%{_datadir}/fish/vendor_completions.d/tldr.fish

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install
install -Dpm0644 bash_tealdeer %{buildroot}%{_datadir}/bash-completion/completions/tldr.bash
install -Dpm0644 fish_tealdeer %{buildroot}%{_datadir}/fish/vendor_completions.d/tldr.fish

%if %{with check}
%check
# integration tests need a working internet connection
%cargo_test -- --bins
%endif

%changelog
* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> 1.5.0-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 27 2022 Fabio Valentini <decathorpe@gmail.com> 1.5.0-1
- Update to version 1.5.0; Fixes RHBZ#2036402

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.4.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 1.4.1-10
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.4.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 14 2021 Robert-André Mauchin <zebob.m@gmail.com> 1.4.1-8
- Bump assert_cmd to 2.0.0

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> - 1.4.1-6
- Rebuilt with OpenSSL 3.0.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed May 19 2021 Fabio Valentini <decathorpe@gmail.com> - 1.4.1-4
- Bump to remove_dir_all 0.7.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 15 2020 Fabio Valentini <decathorpe@gmail.com> - 1.4.1-2
- Bump to pager 0.16.

* Tue Oct 20 2020 Fabio Valentini <decathorpe@gmail.com> - 1.4.1-1
- Update to version 1.4.1.

* Sun Aug 16 15:01:50 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.3.0-5
- Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Mar 27 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.3.0-2
- Fixup license

* Fri Mar 06 07:32:54 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.3.0-1
- Initial package

